Subject: bug#1808: 23.0.60; picture-mode not considering double-width characters alignment

From: Alan J Third <[email-masked]>
Date: Sat, 09 Jan 2016 22:43:36 +0000

poppyer <[email-masked]> writes:

> This is not a new bug of EMACS 23; but it is there in EMACS22 for a
> long time.  In M-x picture-mode, emacs acts in a "replace" typing
> mode, i.e. when you type a char, it replace the old one such that the
> alignment is maintained.
>
> But when mixing with double-width characters (e.g. CJK chars), one to
> one char replacing become problematic, e.g. if we replace a
> single-width char with a double-wdith char, the alignment will be
> destroyed.

Sorry it's taken this long for someone to get back to you.

First, do you know if this is still a problem for you?

If so, how are you entering the CJK characters?

I find in Emacs 25 that if I try entering a greek alpha by typing:

C-x 8 RET GREEK SMALL LETTER ALPHA

It inserts the character, however when I bind the same character to a
key, eg.:

(global-set-key (kbd "C-c a") "α")

and enter it that way it works as expected.

Is this similar?

-- 
Alan Third